## expcore.gui.concepts.toolbar module

Gui structure for the toolbar (top left) [[

### Dependencies

expcore.gui.core
expcore.gui.elements.buttons
expcore.roles
utils.event
utils.game
mod-gui

### Functions

Toolbar.new_button([name]) | Adds a new button to the toolbar
Toolbar.add_button(button) | Adds an existing buttton to the toolbar
Toolbar.update(player) | Updates the player's toolbar with an new buttons or expected change in auth return

### Dependencies

# expcore.gui.core
# expcore.gui.elements.buttons
# expcore.roles
# utils.event
# utils.game
# mod-gui

### Functions

# Toolbar.new_button([name])

  Adds a new button to the toolbar

  Parameters:
  - name : (string) when given allows an alias to the button for the permission system (optional)
  Returns:
  - (table) the button define
# Toolbar.add_button(button)

  Adds an existing buttton to the toolbar

  Parameters:
  - button : (table) the button define for the button to be added
# Toolbar.update(player)

  Updates the player's toolbar with an new buttons or expected change in auth return

  Parameters:
  - player : (LuaPlayer) the player to update the toolbar for